html2haml(1)

NAME
html2haml - Transforms an HTML file into corresponding Haml code.

SYNOPSIS
html2haml [options] [INPUT] [OUTPUT]

DESCRIPTION
Transforms an HTML file into corresponding Haml code.

OPTIONS

-e, --erb
    Parse ERb tags.

--no-erb
    Don't parse ERb tags.

-r, --rhtml
    Deprecated; same as --erb

--no-rhtml
    Deprecated; same as --no-erb

-x, --xhtml
    Parse the input using the more strict XHTML parser.

--html-attributes
    Use HTML style attributes instead of Ruby hash style.

-E, --ex[:in]
    Specify the default external and internal character encodings.

-s, --stdin
    Read input from standard input instead of an input file

--trace
    Show a full traceback on error

--unix-newlines
    Use Unix-style newlines in written files.

-?, -h, --help
    Show this message

-v, --version
    Print version

Please note this program's function is to make a first approach towards converting your HTML. Although usually it will give you a nearly good result, it will often need tweaking - This is specially true when you are parsing RHTML, as it can include parsable and conditional tags which can be misinterpreted and break nesting.

AUTHOR
This manual page was written by Gunnar Wolf <gwolf@debian.org>, based on the command-line output of this program, for the Debian GNU/Linux system (but may be freely used by others).